class Joiner(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  encoder_proj : __torch__.torch.nn.modules.linear.___torch_mangle_1566.Linear
  decoder_proj : __torch__.torch.nn.modules.linear.___torch_mangle_1567.Linear
  output_linear : __torch__.torch.nn.modules.linear.___torch_mangle_1568.Linear
  def forward(self: __torch__.joiner.Joiner,
    encoder_out: Tensor,
    decoder_out: Tensor) -> Tensor:
    output_linear = self.output_linear
    decoder_proj = self.decoder_proj
    encoder_proj = self.encoder_proj
    _0 = (encoder_proj).forward(encoder_out, )
    _1 = (decoder_proj).forward(decoder_out, )
    logit = torch.add(_0, _1)
    input = torch.tanh(logit)
    return (output_linear).forward(input, )
